from pydantic import BaseSettings


class Settings(BaseSettings):
    # we may want use DSN validators from pydantic.
    # but there are no sqlite validators?
    database_url: str = "sqlite:///./paketshop.db"
    backend_url: str = "http://localhost:8000"
    customer_url: str = "http://localhost:3000"
    worker_url: str = "http://localhost:3002"
    shared_secret: str = "worker_secret"
    signing_key: str = "2d18526256a001bc0553c9957897d75d"
    token_lifetime: int = 60  # auth token lifetime

    class Config:
        env_file = ".env"


settings = Settings()
